openapi: 3.0.3
info:
  title: Public Status
  version: v0
servers:
  - url: https://status.amer-1.jumio.ai
    description: Root URL for the US datacenter
  - url: https://status.emea-1.jumio.ai
    description: Root URL for the EU datacenter
  - url: https://status.apac-1.jumio.ai
    description: Root URL for the SGP datacenter
paths:
  /:
    get:
      summary: Returns the curren state of the system
      operationId: getStatus
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatusResponse'
        '401':
          description: Not OK
components:
  schemas:
    StatusResponse:
      required:
        - status
        - details
      properties:
        status:
          type: string
          enum:
            - UP
            - DOWN
            - DEGRADED
          description: >
            Represent the current overall status of the system:

            - UP: All parts of the system operational.

            - DOWN: No part of the system is operational.

            - DEGRADED: At least one part of the system is not working as it
            should. See details for further
             information if this is relevant for you.
        details:
          $ref: '#/components/schemas/StatusDetails'
    StatusDetails:
      type: object
      properties:
        api:
          type: string
          description: The API channel for incoming traffic is down
        callback:
          type: string
          description: No callbacks are being sent
        mobile:
          type: string
          description: The mobile SDK is not functional
        processing:
          type: string
          description: No or delayed processing of the workflows
        retrieval:
          type: string
          description: The Retrieval-API is not working
        web:
          type: string
          description: The Web channel for incoming traffic is not working
      additionalProperties:
        type: string
security:
  - {}
